Skip to main content
POST
/
v1
/
feedback
Submit user feedback
curl --request POST \
  --url https://api.vistaly.com/v1/feedback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "cardIds": [
    "<string>"
  ],
  "feedbackProviders": [
    {
      "email": "jsmith@example.com",
      "firstName": "<string>",
      "lastName": "<string>"
    }
  ],
  "feedbackReceivers": [
    {
      "email": "jsmith@example.com"
    }
  ],
  "parseMarkdown": true,
  "timestamp": "2023-11-07T05:31:56Z",
  "url": "https://vistaly.com"
}
'
import requests

url = "https://api.vistaly.com/v1/feedback"

payload = {
"body": "<string>",
"cardIds": ["<string>"],
"feedbackProviders": [
{
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
}
],
"feedbackReceivers": [{ "email": "jsmith@example.com" }],
"parseMarkdown": True,
"timestamp": "2023-11-07T05:31:56Z",
"url": "https://vistaly.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
cardIds: ['<string>'],
feedbackProviders: [{email: 'jsmith@example.com', firstName: '<string>', lastName: '<string>'}],
feedbackReceivers: [{email: 'jsmith@example.com'}],
parseMarkdown: true,
timestamp: '2023-11-07T05:31:56Z',
url: 'https://vistaly.com'
})
};

fetch('https://api.vistaly.com/v1/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Feedback created"
}
{
"message": "Bad request"
}
{
"message": "Unauthorized"
}
{
"message": "Forbidden"
}
{
"message": "Internal server error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
body
string
required

The content of the feedback

cardIds
string[]

An array of card IDs to associate with this feedback

feedbackProviders
object[]

An array of individuals who provided the feedback, each with their first name (optional), last name (optional), and email

feedbackReceivers
object[]

An array of individuals who received the feedback. If the individual isn't a member of your Vistaly organization, their value will be ignored.

parseMarkdown
boolean

Whether to parse the body content as markdown and convert to structured format (defaults to false)

timestamp
string<date-time>

The timestamp of when the feedback was captured (defaults to current timestamp if not provided)

url
string<uri>

The url where the feedback came from

Example:

"https://vistaly.com"

Response

Feedback submitted successfully

message
string
Example:

"System provided message"